OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_Geometry Class Reference

`#include <PGeom_Geometry.hxx>`

Inheritance diagram for PGeom_Geometry:

[legend]

## Public Member Functions
| PGeom_Geometry (const Storage_stCONSTclCOM &a)
| PGeom_Geometry ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom_Geometry::PGeom_Geometry | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom_Geometry::PGeom_Geometry | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Geometry::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PGeom_Axis1Placement, PGeom_Axis2Placement, PGeom_AxisPlacement, PGeom_BezierCurve, PGeom_BezierSurface, PGeom_BoundedCurve, PGeom_BoundedSurface, PGeom_BSplineCurve, PGeom_BSplineSurface, PGeom_CartesianPoint, PGeom_Circle, PGeom_Conic, PGeom_ConicalSurface, PGeom_Curve, PGeom_CylindricalSurface, PGeom_Direction, PGeom_ElementarySurface, PGeom_Ellipse, PGeom_Hyperbola, PGeom_Line, PGeom_OffsetCurve, PGeom_OffsetSurface, PGeom_Parabola, PGeom_Plane, PGeom_Point, PGeom_RectangularTrimmedSurface, PGeom_SphericalSurface, PGeom_Surface, PGeom_SurfaceOfLinearExtrusion, PGeom_SurfaceOfRevolution, PGeom_SweptSurface, PGeom_ToroidalSurface, PGeom_TrimmedCurve, PGeom_Vector, and PGeom_VectorWithMagnitude.

The documentation for this class was generated from the following file:

- PGeom_Geometry.hxx